# Database configuration
spring.datasource.url=jdbc:mariadb://host.docker.internal:3306/bricklog
spring.datasource.username=bricklog
spring.datasource.password=sl0gg1ngBricks4llD4y


# JPA settings
spring.jpa.hibernate.ddl-auto=update  # Creates tables automatically; set to 'none' in production if not needed
spring.jpa.show-sql=true              # Shows SQL queries in the console, useful for debugging
spring.jpa.database-platform=org.hibernate.dialect.MariaDBDialect
